org.apache.ignite.internal.processors.rest.handlers.redis

## Class GridRedisConnectionCommandHandler

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.handlers.redis.GridRedisConnectionCommandHandler

All Implemented Interfaces:
  GridRedisCommandHandler

    public class GridRedisConnectionCommandHandler
    extends Object
    implements GridRedisCommandHandler

Redis connection handler.

### Constructor Summary

Constructors
Constructor and Description
`GridRedisConnectionCommandHandler(IgniteLogger log, GridRestProtocolHandler hnd, GridKernalContext ctx)` Handler constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteInternalFuture<GridRedisMessage>` `handleAsync(GridNioSession ses, GridRedisMessage msg)`
`Collection<GridRedisCommand>` `supportedCommands()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridRedisConnectionCommandHandler

    public GridRedisConnectionCommandHandler(IgniteLogger log,
                                             GridRestProtocolHandler hnd,
                                             GridKernalContext ctx)

Handler constructor.

Parameters:
  `log` - Logger to use.
  `hnd` - Rest handler.
  `ctx` - Context.

### Method Detail

#### supportedCommands

    public Collection<GridRedisCommand> supportedCommands()

Specified by:
  `supportedCommands` in interface `GridRedisCommandHandler`
Returns:
  Collection of supported commands.

#### handleAsync

    public IgniteInternalFuture<GridRedisMessage> handleAsync(GridNioSession ses,
                                                              GridRedisMessage msg)

Specified by:
  `handleAsync` in interface `GridRedisCommandHandler`
Parameters:
  `ses` - Session.
  `msg` - Request message.
Returns:
  Future.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019